### Virtual Method

# Clutter Seat create_virtual_device

#### Declaration [src]

    ClutterVirtualInputDevice*
    create_virtual_device (
      ClutterSeat* seat,
      ClutterInputDeviceType device_type
    )

#### Description [src]

Creates a virtual input device.

#### Parameters

`device_type`

  Type: `ClutterInputDeviceType`

  The type of the virtual device.

#### Return value

Type: `ClutterVirtualInputDevice`

A newly created virtual device.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.